<input type="file" class="custom-file-input" />

<!--
  CUSTOM FILE INPUT

  USAGE: Can be used as individual file input. But best accompanied with this markup
  --------------------------------------------------------
  <div class="form-group">
    <div class="custom-file">
      <app-input-file-template (result)="onFileLoad($event)"></app-input-file-template>
      <label class="custom-file-label">{{ filename  || "Choose File" }}</label>
    </div>
  </div>

  PARAMETERS NEEDED:
    result - a callback function that will have the file info
    filename - variable that should hold the value of the filename. (In form of "result.file.name")
  --------------------------------------------------------
-->
